# salt.states.makeconf

## Management of Gentoo make.conf

A state module to manage Gentoo's `make.conf` file

    makeopts:
      makeconf.present:
        - value: '-j3'

salt.states.makeconf.absent(name)

  Verify that the variable is not in the `make.conf`.

  name

    The variable name. This will automatically be converted to upper case since variables in `make.conf` are in upper case

salt.states.makeconf.present(name, value=None, contains=None, excludes=None)

  Verify that the variable is in the `make.conf` and has the provided settings. If value is set, contains and excludes will be ignored.

  name

    The variable name. This will automatically be converted to upper case since variables in `make.conf` are in upper case

  value

    Enforce that the value of the variable is set to the provided value

  contains

    Enforce that the value of the variable contains the provided value

  excludes

    Enforce that the value of the variable does not contain the provided value.